/* -*- mode: c; c-basic-offset: 4; -*- */
/* vi:set cindent ts=8 sts=4 sw=4: */
/*
 * Program start up and initializing.
 */

#define MAIN_C	/* used by main.h */

#include <time.h>
#include <stdlib.h>
#include <signal.h>

#include "main.h"

#include "curs_lib.h"
#include "curs_main.h"
#include "init.h"
#include "lib.h"
#include "misc.h"

int main(void)
{
    srand(time(NULL));

    /* Parse the configuration files and initialize global variables. */
    init_vars();

    init_curses();

    if (signal(SIGINT, sighandler) == SIG_ERR)
	error_exit("Can't establish signal handler.");

    init_first_menu();

    /* Loop forever until the user chooses to quit */
    menu_loop();

    return 0; /* Not reached */
}

